Get extension info snapshots
curl --request GET \
--url https://api.secureannex.com/v0/info \
--header 'x-api-key: <api-key>'import requests
url = "https://api.secureannex.com/v0/info"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.secureannex.com/v0/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.secureannex.com/v0/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.secureannex.com/v0/info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.secureannex.com/v0/info")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.secureannex.com/v0/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"result": [
{
"extension_id": "<string>",
"name": "<string>",
"owner": "<string>",
"owner_name": "<string>",
"overview": "<string>",
"latest": "<string>",
"users": 123,
"rating": 123,
"num_ratings": 123,
"active": true,
"visibility": "<string>",
"featured": true,
"tags": "<string>",
"logo": "<string>",
"platform": "<string>",
"updated_date": "<string>",
"published_date": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z"
}
],
"requested_date": "<string>",
"actual_date": "<string>",
"page": 1,
"page_size": 25,
"total_count": 100,
"total_pages": 4
}{
"error": "Authentication required"
}{
"error": "Daily API quota exceeded",
"limit": 100,
"reset_at": "2024-01-16T00:00:00Z"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Extensions
Get extension info snapshots
Retrieve historical metadata snapshots for an extension. When a date parameter is provided,
returns the closest snapshot on or before that date. Without a date, returns all snapshots
ordered by date descending.
GET
/
info
Get extension info snapshots
curl --request GET \
--url https://api.secureannex.com/v0/info \
--header 'x-api-key: <api-key>'import requests
url = "https://api.secureannex.com/v0/info"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.secureannex.com/v0/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.secureannex.com/v0/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.secureannex.com/v0/info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.secureannex.com/v0/info")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.secureannex.com/v0/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"result": [
{
"extension_id": "<string>",
"name": "<string>",
"owner": "<string>",
"owner_name": "<string>",
"overview": "<string>",
"latest": "<string>",
"users": 123,
"rating": 123,
"num_ratings": 123,
"active": true,
"visibility": "<string>",
"featured": true,
"tags": "<string>",
"logo": "<string>",
"platform": "<string>",
"updated_date": "<string>",
"published_date": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z"
}
],
"requested_date": "<string>",
"actual_date": "<string>",
"page": 1,
"page_size": 25,
"total_count": 100,
"total_pages": 4
}{
"error": "Authentication required"
}{
"error": "Daily API quota exceeded",
"limit": 100,
"reset_at": "2024-01-16T00:00:00Z"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Authorizations
API key for authentication
Query Parameters
Extension ID
Extension slug (for Firefox/VSCode extensions)
Platform to query
Available options:
chrome, firefox, edge, vscode, openvsx Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 1000Extension version
Lookup snapshot closest to this date (YYYY-MM-DD)
Response
Successful response
Show child attributes
Show child attributes
The date requested (only present when date param is used)
The actual date of the returned snapshot (only present when date param is used)
Current page number
Example:
1
Number of items per page
Example:
25
Total number of items
Example:
100
Total number of pages
Example:
4
